> For the complete documentation index, see [llms.txt](https://docs.agilefi.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.agilefi.org/agile.js/governance-methods/cast-vote-by-sig.md).

# Cast Vote By Sig

Submit a vote on a Agile Governance proposal using an EIP-712 signature.

* `proposalId` (string) The ID of the proposal to vote on. This is an auto-incrementing integer in the Governor Alpha contract.
* `support` (boolean) A boolean of true for 'yes' or false for 'no' on the proposal vote.
* `signature` (object) An object that contains the v, r, and, s values of an EIP-712 signature.
* `[options]` (CallOptions) Options to set for a transaction and Ethers.js method overrides.
* `RETURN` (object) Returns an Ethers.js transaction object of the vote transaction.

```
const agile = new Agile(window.ethereum);

(async function() {
  const castVoteTx = await agile.castVoteBySig(
    12,
    true,
    {
      v: '0x1b',
      r: '0x130dbcd2faca07424c033b4479687cc1deeb65f08509e3ab397988cc4c6f2e78',
      s: '0x1debcb8250262f23906b1177161f0c7c9aa3641e6bff5b6f5c88a6bb78d5d8cd'
    }
  );
  console.log('Ethers.js transaction object', castVoteTx);
})().catch(console.error);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.agilefi.org/agile.js/governance-methods/cast-vote-by-sig.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
